Subject: Re: bug#36167: [PATCH] Replace [0-9a-fA-F] with [[:xdigit:]]

From: Eli Zaretskii <[email-masked]>
Date: Wed, 12 Jun 2019 17:55:45 +0300

> Date: Wed, 12 Jun 2019 14:19:04 +0300
> From: Konstantin Kharlamov <[email-masked]>
> Cc: [email-masked]
> 
> > Sorry, I forgot a step: you have to visit the file you changed, and
> > make sure point is near where you made changes (C-x v = will show you
> > a *vc-diff* buffer containing the changes), and then do C-x 4 a
> > (possibly multiple times if you changed multiple things).
> 
> Oh, that doesn't sound automated, it's a lot of work. I had 28 files in 
> the outdated patch, and there will be more, as noted Paul.

The idea is to type "C-x 4 a" right after making each change, or set
up a keyboard macro that does this for you.

> And in the other patch, which I did not send as it turned out to be
> obsolete (which was replacing [0-9] with [[:digit:]]) I had around
> 4xx changed files. No way one could manually go through 400 files,
> stop by each change, and press a hotkey.

When you change 400 files, no one will expect you to mention each
instance, it's enough to describe the change itself and say "in all
files" or somesuch.